#include <stdio.h>
#include <stdint.h>

#define Uint32 uint32_t
#define Uint16 uint16_t
#define Uint8 uint8_t
#define Sint16 int16_t
#define Sint8 int8_t

#include "MapSeed.cpp"

int main(int argc, char* argv[])
{
	const Uint8 cnv[13] = {0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 3, 1, 1};
	Uint16 SeedMap[4096];
	Uint8 result[4096];
	int x, y, j, k;
	FILE *f;

	createMapWithSeed(atoi(argv[1]), SeedMap);
	k = 0;
	for(x = 0; x < 64; x++)
	{
		result[k++] = 3;
	}
	for(y = 1; y < 63; y++)
	{
		result[k++] = 3;
        	for(x = 1; x < 63; x++)
		{
			j = SeedMap[(y << 6) + x] >> 4;
			result[k++] = j > 12 ? 0 : cnv[j];
		}
		result[k++] = 3;
	}
	for(x = 0; x < 64; x++)
	{
		result[k++] = 3;
	}
	f = fopen("FAKK", "wb+");
	fwrite(result, 1, sizeof(result), f);
	fclose(f);
	return 0;
}